<?php
/**
 * 视频课程分类编辑
 * $Id: course_category_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author lixq
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("12")) {
  // エラー表示
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "error.inc";
  $message = "权限不足，请联系系统管理员。";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$action_type = ParamUtil::getRequestString("action_type");
$title = ParamUtil::getRequestString("title");
$parent_id = ParamUtil::getRequestString("parent_id");

//创建的时候
if($action_type == "new") {
  $course_category_dat = new CourseCategoryDat();
}

//编辑
if($action_type == "edit") {
  $course_category_dat = CourseCategoryDat::getById($id);
  if ($course_category_dat== null) {
    // エラー表示
    $message = "对象不存在";
    $layout_pages = array();
    $layout_pages["left"] = "menu.inc";
    $layout_pages["right"] = "error.inc";
    $layout_pages["menu_clicked"] = "4-5";
    require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
    exit;
  }
}

// 数据库更新
$course_category_dat->title = $title;
$course_category_dat->parent_id = $parent_id;
$course_category_dat->save();

// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "course_category_edit_result.inc";
$layout_pages["menu_clicked"] = "4-5";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;